/////////////////////////////////////////////////////////////////////////////
// Name:        MenuPropDlg.h
// Purpose:     DVD menu properties dialog
// Author:      Alex Thuering
// Created:     25.04.2004
// RCS-ID:      $Id: MenuPropDlg.h,v 1.11 2012/01/13 18:26:08 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef MENU_PROP_DLG_H
#define MENU_PROP_DLG_H

#include <wx/wx.h>
#include <wx/spinctrl.h>
#include <wx/combobox.h>
#include <wxVillaLib/PropDlg.h>
#include "DVD.h"
#include "Menu.h"

class MenuPropDlg: public wxPropDlg {
public:
    MenuPropDlg(wxWindow *parent, DVD* dvd, int tsi, int pgci);
	virtual ~MenuPropDlg();
	
protected:
	void CreatePropPanel(wxSizer* sizer);
  	bool SetValues();
  	
private:
	DVD* m_dvd;
	Video* m_video;
	wxArrayString* m_langCodes;
	int m_tsi;
	int m_pgci;
    Pgc* m_pgc;
	Vob* m_vob;
	Menu* m_menu;
	vector<Cell*> m_cells;
	vector<DVDAction*> m_actions;
	wxChoice* m_aspect;
	wxChoice* m_wsFormat;
	wxChoice* m_audioFormat;
	wxSpinCtrl* m_pauseCtrl;
	wxComboBox* m_postCommandsCtrl;
	void CreateBackgroundGroup(wxSizer* sizer);
	void CreateButtonsGroup(wxSizer* sizer);
	void CreateVobGroup(wxSizer* sizer, bool loop);
	void CreateMenuGroup(wxSizer* sizer, bool loop);
	void OnChangeAspect(wxCommandEvent& event);
	void OnChangeAudio(wxCommandEvent& event);
	void OnLoopCheck(wxCommandEvent& event);
	void OnCellsBt(wxCommandEvent& event);
	void OnActionsBt(wxCommandEvent& event);
	wxArrayString GetCommands();
    DECLARE_EVENT_TABLE()
};

#endif // MENU_PROP_DLG_H
